<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface NewRecordsInterface
{

    public const ENTITY_TYPE = 'entity_type';

    public const ID = 'id';

    public const RECORD_ID = 'record_id';

    public const CREATED_AT = 'created_at';

    public const UPDATED_AT = 'updated_at';

    public const EMAIL_SENT = 'email_sent';

    public const SKU = 'sku';

    /**
     * Get new_records_id
     *
     * @return string|null
     */
    public function getId();

    /**
     * Set id
     *
     * @param string $id
     * @return \WriteTextAI\WriteTextAI\NewRecords\Api\Data\NewRecordsInterface
     */
    public function setId($id);

    /**
     * Get record_id
     *
     * @return string|null
     */
    public function getRecordId();

    /**
     * Set record_id
     *
     * @param string $recordId
     * @return \WriteTextAI\WriteTextAI\NewRecords\Api\Data\NewRecordsInterface
     */
    public function setRecordId($recordId);

    /**
     * Get entity_type
     *
     * @return string|null
     */
    public function getEntityType();

    /**
     * Set entity_type
     *
     * @param string $entityType
     * @return \WriteTextAI\WriteTextAI\NewRecords\Api\Data\NewRecordsInterface
     */
    public function setEntityType($entityType);

    /**
     * Get created_at
     *
     * @return string|null
     */
    public function getCreatedAt();

    /**
     * Set created_at
     *
     * @param string $createdAt
     * @return \WriteTextAI\WriteTextAI\NewRecords\Api\Data\NewRecordsInterface
     */
    public function setCreatedAt($createdAt);

    /**
     * Get updated_at
     *
     * @return string|null
     */
    public function getUpdatedAt();

    /**
     * Set updated_at
     *
     * @param string $updatedAt
     * @return \WriteTextAI\WriteTextAI\NewRecords\Api\Data\NewRecordsInterface
     */
    public function setUpdatedAt($updatedAt);

    /**
     * Get email_sent
     *
     * @return string|null
     */
    public function getEmailSent();

    /**
     * Set email_sent
     *
     * @param string $emailSent
     * @return \WriteTextAI\WriteTextAI\NewRecords\Api\Data\NewRecordsInterface
     */
    public function setEmailSent($emailSent);

    /**
     * Get sku
     *
     * @return string|null
     */
    public function getSku();

    /**
     * Set sku
     *
     * @param string $sku
     * @return \WriteTextAI\WriteTextAI\NewRecords\Api\Data\NewRecordsInterface
     */
    public function setSku($sku);
}
